# GhoUnstake

### Description

Action to unstake stkGHO tokens.

### Action ID

`0xe1c6999c`

### SDK Action

Following actions will map to GhoUnstake contract:

```ts
const ghoFinalizeUnstakeAction = new dfs.actions.stkgho.GhoFinalizeUnstakeAction(
    amount,
    to
);
const ghoStartUnstakeAction = new dfs.actions.stkgho.GhoStartUnstakeAction();

```

### Action Type

`STANDARD_ACTION`

### Input Parameters

```solidity
    /// @param amount amount of stkGHO tokens to burn (max.uint to redeem whole balance, 0 to start cooldown period)
    /// @param to address to receive GHO tokens
    struct Params {
        uint256 amount;
        address to;
    }
```

### Return Value

```solidity
return bytes32(claimedAmount);
```

### Events and Logs

```solidity
emit ActionEvent("GhoUnstake", logData);
logger.logActionDirectEvent("GhoUnstake", logData);
bytes memory logData = abi.encode(params);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.defisaver.com/actions/aave-v3/ghounstake.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
